Package org.eclipse.birt.report.model.api.elements.structures

# Class IncludedLibrary

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.IncludedLibrary

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class IncludedLibrary extends org.eclipse.birt.report.model.core.Structure
This class represents one include library of report design.

This is a managed object, meaning that all changes should be made though the command layer so that they can be undone and redone. Each column hint has the following properties:

File Name
  File name is required for a include library.
Namespace
  Namespace of the library, which is used to identify one library.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FILE_NAME_MEMBER`
Name of the file name member.
`protected String`
`fileName`
The file name of the included library.
`static final String`
`INCLUDED_LIBRARY_STRUCT`
Name of this structure.
`protected String`
`namespace`
The namespace of the included library.
`static final String`
`NAMESPACE_MEMEBR`
Name of the namespace member.

## Constructor Summary

Constructors
Constructor
Description
`IncludedLibrary()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileName()`
Gets the file name of the include library.
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`String`
`getNamespace()`
Returns the namespace of the included library.
`String`
`getStructName()`
Returns the name of the structure definition.
`protected StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`void`
`setFileName(String theFileName)`
Sets the file name of the include library.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.
`void`
`setNamespace(String namespace)`
Sets the namespace for library.
`List`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validate whether this structure is valid.

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INCLUDED_LIBRARY_STRUCT

public static final String INCLUDED_LIBRARY_STRUCT
Name of this structure. Matches the definition in the meta-data dictionary.

See Also:
  - Constant Field Values

### FILE_NAME_MEMBER

public static final String FILE_NAME_MEMBER
Name of the file name member. This member is required for the structure.

See Also:
  - Constant Field Values

### NAMESPACE_MEMEBR

public static final String NAMESPACE_MEMEBR
Name of the namespace member.

See Also:
  - Constant Field Values

### fileName

protected String fileName
The file name of the included library.

### namespace

protected String namespace
The namespace of the included library.

## Constructor Details

### IncludedLibrary

public IncludedLibrary()

## Method Details

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Specified by:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Specified by:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value

### validate

public List validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Validate whether this structure is valid. The derived class should override this method if semantic check is needed. The each error is the instance of `PropertyValueException`.

Overrides:
  `validate` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `module` - the module
  `element` - the element contains this structure
Returns:
  the semantic error list

### getFileName

public String getFileName()
Gets the file name of the include library.

Returns:
  the file name of the include library

### setFileName

public void setFileName(String theFileName)
Sets the file name of the include library.

Parameters:
  `theFileName` - the new file name to set

### getNamespace

public String getNamespace()
Returns the namespace of the included library. The namespace identify one library uniquely in design file.

Returns:
  the namespace of the included library.

### setNamespace

public void setNamespace(String namespace)
Sets the namespace for library.

Parameters:
  `namespace` - the namespace to set.

### handle

protected StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.